Bug 21729 - build policy for noarch doesn't compress man pages.
build policy for noarch doesn't compress man pages.
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-12-04 23:36 EST by Sam Varshavchik
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-21 14:10:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2000-12-04 23:36:53 EST
How about creating /usr/lib/rpm/noarch/macros that consists only of:

%__spec_install_post   /usr/lib/rpm/brp-compress

I just put some Perl scripts and their man pages into a noarch RPM, and
discovered that the man pages did not compress because there was no
post-install script at all, for noarch builds.

It may not make any sense to run brp-strip for noarch, but at least running
brp-compress may do some good.
Comment 1 Sam Varshavchik 2000-12-07 21:18:26 EST
Interesting.  If I specify --target=noarch, the brp scripts do NOT get run.

But, if instead I add "BuildArch: noarch" to the spec file, the brp scripts DO

That doesn't make sense to me.

Comment 2 Jeff Johnson 2001-02-21 14:09:57 EST
Changing component
Comment 3 Jeff Johnson 2001-07-25 17:11:02 EDT
Fixed by crating noarch-linux and noarch-redhat-linux symlinks
to the canonical arch per-platform configuration directory.

Note You need to log in before you can comment on or make changes to this bug.